- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Updates a thread in a 1:1 App DM space.
Supports the following types of authentication:
- App authentication with the authorization scope:
https://www.googleapis.com/auth/chat.bot
Only supported in 1:1 App DM spaces. Calls in other space types or using user authentication will return an error.
HTTP request
PATCH https://chat.googleapis.com/v1/{thread.name=spaces/*/threads/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
thread.name |
Identifier. Resource name of the thread. Example: |
Query parameters
| Parameters | |
|---|---|
updateMask |
Optional. The list of fields to update. Currently supported field paths: - |
Request body
The request body contains an instance of Thread.
Response body
If successful, the response body contains an instance of Thread.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/chat.bot
For more information, see the Authorization guide.